Apache + PHP + MySQL
2005-08-24T23:40:49+02:00
2005-10-11T05:50:28+02:00
2022-07-19T05:52:37+02:00
  • Ha normálisan vannak bekonfigolva, akkor ezek logolnak. Nézz utána a logfájlokban, hogy mi a frász történik.
    Mutasd a teljes hozzászólást!
  • Hello!

    Én tavaly kezdtem el használni az apache-php-mysql összeállítást, és eddig semmi bajom nem volt vele. Mostanában kezd el furcsán viselkedni, amikor is azok az oldalak, amik eddig simán mentek és semmit nem változtattam rajtuk, egyszerűen nem töltődnek be, vagy ha mégis, akkor is kb 20-30 másodperclegalább eltelik előtte.

    Ez vajon miért lehet?

    Ha nem baj akkor nem írom le a mostani aktuális verziókat, mert próbátam apache-ból 1.3.legújabbat, meg annál egy kicsit régebbit is, meg 2.0.legújabbat is, meg abból is régebbit is, mysql 4.0.13, 4.0.26, 4.1.14 (asszem, bár a mysql-ben nem vagyok biztos)

    És mindezt úgy csinálja, hogy eleintem megy szépen, int az álom, aztán egyszer csak elkezdi a hülyeségeit. Elég sürgetővé vált a dolog, mert határidős munkán dolgozom, és ez így gáz!!!

    Valaki segítsen, ha tud, köszi!
    Mutasd a teljes hozzászólást!
  • A mysql-ből miért egyből a bétát akarod felnyomni? Én még mindig a 4.0.24-esnél tartok, mert egész jól bejött arra, amire akarom használni.
    Milyen oprendszerre akarod ezeket felnyomni?
    Az apache confja sem túl bonyolult, talán találsz egy könyvtárban Apache könyvet (Kossuth kiadó), de ha krédésed van csak szólj.
    Az egyik lényeges dolog a php-val kapcslatos apachebeállítás, a másik pedig a webszerver alapkönyvtárára vonatkozik. Nem hiszem, hogy otthoni környezetben másra is szükséged volna.
    Ha van, firkáld a kérdést
    Mutasd a teljes hozzászólást!
  • Szerintem nagyon nem jó kész appokat leölteni, mert aki nem tud telepítni egy apache és php kettős-t, akkor hogyan fogja majd azokat frissítni? Nem is szólva a mysql-ről, vagy a phpmyadminról.

    A világ legegyzserűbb dolga windowsra telepíteni az Apache-t és a php-t. Ha valakinek segítség kell, csak írjon, nem kell ide weblabor.
    Pacsi
    Mutasd a teljes hozzászólást!
  • Hali!

    Tudnod kell, hogy a szuprglobális változók a php 4.1.0-tól érhetők el, úgymind: $_GET, $_POST, $_ENV, $_SERVER, $_COOKIE, $_REQUEST $_FILES és a $_SESSION tömbök.

    Ha ennél régebbi a php-d, akkor csak a régi módon, a $HTTP_*_VARS változón keresztül érheted el a változókat. Amit még tudok javasolni, kapcsold ki a register_globals-t, mrt az jócskán bekavarhat. Állítsd az ini-ben Off-ra.

    Egyébiránt képtelenségnek tartom, hogy nem tudod lérni őket, mivl ezek automatikusan jönnek létre. Esetleg még annyit próbálj meg, hogy nem használsz ' és " jleket a tömbön belül. Ha a változót kimenetre akarod küldeni, akkor szakítsd meg a sztringet. Példa:

    $kimenet = "blabla-blabla".$_REQUEST[felhasznalo]."és így tovább blablabla";
    print $kimenet;

    Többet egyenlőre nemtok javasolni. Talán még annyit mgnézhetnél, hogy a php modul vagy sem?
    Mutasd a teljes hozzászólást!
  • Sziasztok

    Php4-et használok és nem működik a $_COOKIE[""]; változók sem a $_REQUEST[];
    egyszerűen semmit nem kap meg a cookitól.

    Segítsetek plz, lehet vmi php.ini probléma?

    php.net-ről mindent úgy állítottam be, ahogy kell
    Mutasd a teljes hozzászólást!
  • Ezt a kettőt olvasd át, ennyiből menni fog.
    Apache és PHP telepítése kezdőknek Windows rendszereken . Weblabor
    MySQL telepítése kezdőknek Windows rendszereken . Weblabor
    Ha nem Windows alá telepíted, akkor az Apache az első, általában a PHP a második és a MySQL a harmadik. Ez nem kötelező sorrend, de a telepítő csomagok megcsinálják a változásokat maguktól is, ha ezt követed.
    Mutasd a teljes hozzászólást!
  • Azt tudom, hogy sok bent a komment, de most úgy szeretném megtanulni, hogy ha lehet, akkor minden paraméterét tudjam, hogy hogyan kell beállítani.
    Végülis csak otthoni játékra kell, mert érdekelnek a beállításai, de inkább próbálgatok. Ha nagyon nem megy, akkor majd egy csomagot teszek fel. Már nem gond az angol annyira, mint eddig, de azért jó lett volna egy jó magyar doksi.
    Mutasd a teljes hozzászólást!
  • Ha megnyitod a httpd.conf-ot, abban több a komment mint a paraméter, egyébként inglis language rulez! De ha csak otthoni játékra kell a szerver, akkor inkább tegyél fel valami kész csomagot (AppServ, Xampp..), egyszerűbb.
    Mutasd a teljes hozzászólást!
  • Hello,

    Letöltöttem a PHP 5.0.4-et az Apache 2.0.54-et és a MySQL 5.0.11-beta-t.

    Ezek így jól működnek együtt?
    Milyen sorrendben telepítsem fel?

    Az apache oldalán találtam egy jó doksit, de ha tudtok adni magyar doksit, amiben főleg a httpd.conf fájl konfigurálásáról írnak, akkor az megköszönném.
    Mutasd a teljes hozzászólást!
Ez a téma lezárásra került a moderátor által. A lezárás oka: Konkr�t k�rd�seket a tud�st�rba!
abcd